Package com.google.javascript.rhino

# Class JSDocInfo.Marker

java.lang.Object
com.google.javascript.rhino.JSDocInfo.Marker

Enclosing class:
  `JSDocInfo`

public static final class JSDocInfo.Marker extends Object
Defines a class for containing the parsing information for this JSDocInfo. For each annotation found in the JsDoc, a marker will be created indicating the annotation itself, the name of the annotation (if any; for example, a @param has a name, but a @return does not), the textual description found on that annotation and, if applicable, the type declaration. All this information is only collected if documentation collection is turned on.

## Constructor Summary

Constructors
Constructor
Description
`Marker()`

## Method Summary

Modifier and Type
Method
Description
`JSDocInfo.StringPosition`
`getAnnotation()`
Gets the position information for the annotation name.
`JSDocInfo.StringPosition`
`getDescription()`
Gets the position information for the description found in a block tag.
`JSDocInfo.StringPosition`
`getName()`
Deprecated.
Use #getNameNode
`SourcePosition<Node>`
`getNameNode()`
Gets the position information for the name found in an @param tag.
`JSDocInfo.TypePosition`
`getType()`
Gets the position information for the type expression found in some block tags, like "@param" and "@return".

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Marker

public Marker()

## Method Details

### getAnnotation

public JSDocInfo.StringPosition getAnnotation()
Gets the position information for the annotation name. (e.g., "param")

### getName

@Deprecated public JSDocInfo.StringPosition getName()
Deprecated.
Use #getNameNode
Gets the position information for the name found in a @param tag.

### getNameNode

public SourcePosition<Node> getNameNode()
Gets the position information for the name found in an @param tag.

### getDescription

public JSDocInfo.StringPosition getDescription()
Gets the position information for the description found in a block tag.

### getType

public JSDocInfo.TypePosition getType()
Gets the position information for the type expression found in some block tags, like "@param" and "@return".